StaticTypesMethodReferenceExpressionWriter (Groovy 4.0.10)
Description: declaration: package: org.codehaus.groovy.classgen.asm.sc, class: StaticTypesMethodReferenceExpressionWriter

Package org.codehaus.groovy.classgen.asm.sc

# Class StaticTypesMethodReferenceExpressionWriter

java.lang.Object
org.codehaus.groovy.classgen.asm.MethodPointerExpressionWriter
org.codehaus.groovy.classgen.asm.MethodReferenceExpressionWriter
org.codehaus.groovy.classgen.asm.sc.StaticTypesMethodReferenceExpressionWriter

All Implemented Interfaces:
  `AbstractFunctionalInterfaceWriter`

public class StaticTypesMethodReferenceExpressionWriter extends MethodReferenceExpressionWriter implements AbstractFunctionalInterfaceWriter
Generates bytecode for method reference expressions in statically-compiled code.

Since:
  3.0.0

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.classgen.asm.MethodPointerExpressionWriter

  `controller`

  ### Fields inherited from interface org.codehaus.groovy.classgen.asm.sc.AbstractFunctionalInterfaceWriter

  `ORIGINAL_PARAMETERS_WITH_EXACT_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StaticTypesMethodReferenceExpressionWriter(WriterController controller)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `writeMethodReferenceExpression(MethodReferenceExpression methodReferenceExpression)`

  ### Methods inherited from class org.codehaus.groovy.classgen.asm.MethodPointerExpressionWriter

  `writeMethodPointerExpression`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.classgen.asm.sc.AbstractFunctionalInterfaceWriter

  `convertParameterType, convertParameterType, createBootstrapMethod, createBootstrapMethodArguments, createBootstrapMethodArguments, createMethodDescriptor, getFunctionalInterfaceType, prependParameter`

- ## Constructor Details

  - ### StaticTypesMethodReferenceExpressionWriter

    public StaticTypesMethodReferenceExpressionWriter(WriterController controller)

- ## Method Details

  - ### writeMethodReferenceExpression

    public void writeMethodReferenceExpression(MethodReferenceExpression methodReferenceExpression)
    Overrides:
      `writeMethodReferenceExpression` in class `MethodReferenceExpressionWriter`